Bug 3358 - (int-94492) Modest menu disappears when Apple BT keyboard connected
(int-94492)
: Modest menu disappears when Apple BT keyboard connected
Status: RESOLVED WONTFIX
Product: Email
General
: 4.1.2 (4.2008.36-5)
: N810 Maemo
: Low normal (vote)
: ---
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-07-01 11:12 UTC by luarvique
Modified: 2009-07-16 17:07 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description luarvique (reporter) 2008-07-01 11:12:30 UTC
SOFTWARE VERSION:
Latest ITOS firmware from Nokia (aka Diablo).

STEPS TO REPRODUCE THE PROBLEM:
Connect BT keyboard (tested with Apple BT keyboard). Run Modest. Try invoking
app menu by touching menu icon with stylus.

EXPECTED OUTCOME:
Application menu should appear.

ACTUAL OUTCOME:
Menu outline appears for a second, then disappears. This behaviour remains even
after the keyboard is disconnected. The only way to fix it is to reboot the
tablet.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9)
Gecko/2008052906 Firefox/3.0
Comment 1 Andre Klapper maemo.org 2008-07-01 15:00:39 UTC
SOFTWARE VERSION: 4.2008.23-14
("Latest" isn't helpful when looking at this report later again.)


Would be interesting to get feedback from other people if they also run into
the same problem. Everything else runs perfectly fine with that keyboard?
Comment 2 Andre Klapper maemo.org 2008-07-01 15:01:49 UTC
(In reply to comment #1)
> Everything else runs perfectly fine with that keyboard?

Ah well. Obviously not, see bug 3359.
Comment 3 luarvique (reporter) 2008-07-01 16:07:53 UTC
>Ah well. Obviously not, see bug 3359.
Bug #3359 is a completely different issue that occurs in all applications (not
just Modest) and seemingly with all BT keyboards.
Comment 4 Andre Klapper maemo.org 2008-07-14 18:50:24 UTC
(In reply to comment #3)
> >Ah well. Obviously not, see bug 3359.
> Bug #3359 is a completely different issue that occurs in all applications (not
> just Modest) and seemingly with all BT keyboards.

Did you test with other BT keyboards? If so, you could have mentioned it. As
long as you don't I consider it to be an Apple BT only bug. Quite easy.
Comment 5 Eero Tamminen nokia 2008-09-15 10:52:56 UTC
When the builtin N810 keyword is opened, menus get keyboard shortcuts
(and when keyboard is closed, the shortcuts disappear).  Maybe this bug
is somehow related to that?
Comment 6 Andre Klapper maemo.org 2008-09-29 14:10:18 UTC
luarvique: I still don't know which hardware this is about - N800, N810?
Did you test with other BT keyboards? Does it work?
Comment 7 luarvique (reporter) 2008-09-29 14:26:38 UTC
(In reply to comment #6)
> luarvique: I still don't know which hardware this is about - N800, N810?
It is N810.

> Did you test with other BT keyboards? Does it work?
I only tested it with Apple BT keyboard as I have no other keyboards.
Comment 8 Andre Klapper maemo.org 2008-11-10 14:10:23 UTC
I can't find anything called "Apple BT keyboard".

What is the *exact* name ("Apple Wireless Keyboard"?), what is the exact
firmware version?

Does this also happen with other applications like Notes, or is this Modest
specific?
Comment 9 luarvique (reporter) 2008-11-10 14:21:33 UTC
(In reply to comment #8)
> What is the *exact* name ("Apple Wireless Keyboard"?),
Apple Wireless Keyboard, part number MB167LL/A.

> what is the exact firmware version?
Unfortunately I do not know the keyboard firmware version.

> Does this also happen with other applications like Notes, or is this Modest
> specific?
It appears to be Modest specific.
Comment 10 Andre Klapper maemo.org 2009-06-23 17:52:18 UTC
This is a WONTFIX for Diablo (Maemo4) as Diablo is in maintenance mode and
Nokia will only provide bugfixes for critical issues if at all.

Also worth to mention that fixing Bluetooth issues currently does not have the
highest priority for Fremantle (Maemo5) so I don't expect this to be fixed in
the final Fremantle version (might end up as WONTFIX for Fremantle too).
Comment 11 Andre Klapper maemo.org 2009-07-16 17:07:44 UTC
Yes, as warned about: WONTFIX also for Fremantle.